Subject: [secdir] SecDir review of draft-ietf-uta-mta-sts

From: "Paul Hoffman" <[email-masked]>
Date: Wed, 18 Apr 2018 10:48:19 -0700

This document is an ambitious attempt to add STS (strict transport 
security) to SMTP. It carefully deals with all the traps and pitfalls 
that were found in developing STS for HTTP, DANE, and so on. I believe 
that it has hit all the obvious security issues how a determined 
attacker might cause a downgrade; in so doing, it has become a very 
complex protocol. However, the authors make a good argument for each of 
the complexities, which is admirable.

--Paul Hoffman